Kerbal Space Program - Bug #27008

Color that surrounds part when hovering mouse over it fills screen.
01/07/2021 10:18 PM - juanma42

Status: Updated Start date: 01/07/2021
Severity: Low % Done: 10%
Assignee: just_jim
Category: Graphics
Target version:
Version: 1.11.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

Happens in both hangars and during game. Can be green, blue or whatever color the "haze" is at that moment with the tool in use.
Steps to Replicate:

1. go to any building hangar

2. add first part

3. hover mouse over part

Expected: normal haze over part
Result/Observed: color haze keeps expanding till it fills the screen.

Fixes/Workarounds: same happens if you "launch" the craft. doesn't happen while the craft is moving. screen goes back to normal
when you tap M. but tap it again, hover the mouse (with the craft not under acceleration) and same thing happens

Notes: Installed the game from steam. Installed the mod KSP Interstellar Extended. played the game for 3 hours without problems.
turned off the game and the computer. came back and the bug happened. Unistalled the mod, tried again. Uninstalled the game and
deleted everything, even saves and the steam folder. Re installed (without the mod), keeps happening. did the uninstalling-installing
thing multiple times, keeps happening.

https://gfycat.com/energeticpertinentanura
this is the bug in question

History

#1 - 01/07/2021 10:21 PM - juanma42
- Category changed from Graphics to Editor

#2 - 01/07/2021 10:21 PM - juanma42
- Category changed from Editor to Graphics

#3 - 01/08/2021 12:58 PM - juanma42

Solved: Kinda...

the solution seems sketchy, but works.

to "solve" it, i went to my intel graphics program and took down evey relationship with the game.

then tried the game, the game crashed, some unity thingy popped up. looked it up on different forums, the solution to that unity crash some people
gave was to add -force-d3d12 on a shorcut created from the .exe. after that, IF and only IF launched from said shorcut, everything works. | hope this
helps somebody.

Also, i don't know how to change it to "solved", sorry about that

#4 - 01/09/2021 01:03 PM - just_jim
- Status changed from New to Updated
- % Done changed from 0 to 10

| am so sorry about the inconvenience. | was trying to reproduce this, but could not on my end. Not saying it didn't happen, most likely just a
difference in machines... it's happened before.
I'm really glad you have a workaround. but please leave this, and do not mark it fixed. If it happens again to someone else we'll still need to pin it
down and follow it up.
Thank you

#5 - 01/09/2021 01:05 PM - just_jim

- Assignee set to just jim

#6 - 03/26/2021 11:29 AM - just_jim

Note: This was copied from another player the forum that appears to have the same issue. It's a comment with his PC specs.. hopefully it'll provide a
clue:

| was using mods, mechjeb, kerbal engineer, science x. Added them back in on the first re-install attempt, haven't added them on the other attempts
so same for modded and stock.

I'm on a laptop, HP spectre x360, Windows 10, GPU: Intel Iris Xe, CPU: 11th Gen Intel i7-1165G7, 16GB RAM.
Played about 100 hours since | picked the game back up last month (has been 4/5 years since | last played). Everything has been fine until last week.

Unless it's complete coincidence my best guess was that it was caused by adding KSP to the intel graphics command centre game library. The
person in the bug report also mentioned going into the intel graphics program and trying to remove all links to the game?
